Download it now!
Bug 52976 - Crash(?) when creating a new profile
Summary: Crash(?) when creating a new profile
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-30 19:56 UTC by Kriton Kyrimis
Modified: 2012-08-10 14:42 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kriton Kyrimis 2012-07-30 19:56:14 UTC
If I delete my profile in C:\Documents and Settings\[username]\Application Data and start LibreOffice, the LibreOffice splash screen appears, and LibreOffice starts creating a new profile, taking quite a bit of time. At some point, the splash screen disappears and the program exits.

Looking at the created profile, I see that the LibreOffive folder contains 4208 files in 1436 folders, most of which are in subfolders of the LibreOffice\3\user\extensions\bundled\registry folder, with names ending in .tmp.

In comparison, my previous profile contained 61 files in 66 folders.

My guess is that LibreOffice crashed while creating the profile, which is why it did not start after the splash screen closed, and why there are all those temporary files left over in the profile.

If I start Writer again, it starts normally. However, the problem appears again if I delete the LibreOffice\3\user\extensions folder.

This happened on two different machines running 32-bit, fully patched, Windows XP. The same thing happens regardless of whether I start LibreOffice, LibreOffice Writer, or LibreOffice Calc.
Comment 1 Stephan Bergmann 2012-07-31 08:05:01 UTC
Technically, LO does not crash there, it just terminates itself and wants to restart itself automatically, but the restarting part does not work.  This automatic terminate-and-restart potentially happens whenever a user profile does not exist or is outdated (after a LO upgrade).

This is an unfortunate side effect of the fix for bug 51252 (which causes LO to try to restart itself routinely upon first start after installation or upgrade) gone into LO 3.6.0 RC4, but the fix for bug 43989 (which makes the automatic restarting actually work on Windows) only originally gone into LO master towards 3.7.  The latter will also go into LO 3.6.1 now, however, so that this issue will be fixed there.

The workaround is to manually restart LO.
Comment 2 Kriton Kyrimis 2012-07-31 08:09:38 UTC
(In reply to comment #1)

> The workaround is to manually restart LO.

And what about the thousands of *.tmp folders?
Comment 3 Stephan Bergmann 2012-07-31 15:15:51 UTC
(In reply to comment #2)
> And what about the thousands of *.tmp folders?

see bug 53009
Comment 4 Ant 2012-08-10 14:42:04 UTC
I had this problem too in my old Windows XP Pro. SP3's account's LO profile, LO/soffice.bin seems to take a long time to start up and crashes:

Microsoft (R) Windows Debugger Version 6.12.0002.633 X86
Copyright (c) Microsoft Corporation. All rights reserved.

CommandLine: F:\winstuff\LibreOffice3.6\program\soffice.exe
Symbol search path is: SRV*c:\symbols*http://msdl.microsoft.com/download/symbols
Executable search path is: 
ModLoad: 00400000 00410000   soffice.exe
ModLoad: 7c900000 7c9b2000   ntdll.dll
ModLoad: 7c800000 7c8f6000   C:\WINDOWS\system32\kernel32.dll
ModLoad: 77dd0000 77e6b000   C:\WINDOWS\system32\ADVAPI32.dll
ModLoad: 77e70000 77f03000   C:\WINDOWS\system32\RPCRT4.dll
ModLoad: 77fe0000 77ff1000   C:\WINDOWS\system32\Secur32.dll
ModLoad: 7c9c0000 7d1d7000   C:\WINDOWS\system32\SHELL32.dll
ModLoad: 77f10000 77f59000   C:\WINDOWS\system32\GDI32.dll
ModLoad: 7e410000 7e4a1000   C:\WINDOWS\system32\USER32.dll
ModLoad: 77c10000 77c68000   C:\WINDOWS\system32\msvcrt.dll
ModLoad: 77f60000 77fd6000   C:\WINDOWS\system32\SHLWAPI.dll
ModLoad: 78520000 785c3000   C:\WINDOWS\WinSxS\x86_Microsoft.VC90.CRT_1fc8b3b9a1e18e3b_9.0.30729.6161_x-ww_31a54e43\MSVCR90.dll
(f00.fa4): Break instruction exception - code 80000003 (first chance)
eax=00261eb4 ebx=7ffdd000 ecx=00000005 edx=00000020 esi=00261f48 edi=00261eb4
eip=7c90120e esp=0013fb20 ebp=0013fc94 iopl=0         nv up ei pl nz na po nc
cs=001b  ss=0023  ds=0023  es=0023  fs=003b  gs=0000             efl=00000202
ntdll!DbgBreakPoint:
7c90120e cc              int     3
0:000> g
ModLoad: 5cb70000 5cb96000   C:\WINDOWS\system32\ShimEng.dll
ModLoad: 76390000 763ad000   C:\WINDOWS\system32\IMM32.DLL
ModLoad: 10000000 100b4000   c:\winstuff\outpos~1\wl_hook.dll
ModLoad: 773d0000 774d3000   C:\WINDOWS\WinSxS\x86_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.2600.6028_x-ww_61e65202\comctl32.dll
ModLoad: 5d090000 5d12a000   C:\WINDOWS\system32\comctl32.dll
ModLoad: 77b40000 77b62000   C:\WINDOWS\system32\Apphelp.dll
eax=76390000 ebx=00000000 ecx=7e410000 edx=77c61ae8 esi=7c90de6e edi=00000051
eip=7c90e514 esp=0013fdc4 ebp=0013fec0 iopl=0         nv up ei pl zr na pe nc
cs=001b  ss=0023  ds=0023  es=0023  fs=003b  gs=0000             efl=00000246
ntdll!KiFastSystemCallRet:
7c90e514 c3              ret
0:000> !analyze -v
Last event: f00.fa4: Exit process 0:f00, code 51
  debugger time: Fri Aug 10 07:32:57.670 2012 (UTC - 7:00)

Relaunching it goes fast. I saw 4,137 files and 1,385 folders/directories in my new local LO directory/folder. Geez!